using System;
using System.Collections.Generic;
using System.Text;

namespace TeslaConsole.RedPlanet;

[Serializable]
internal class RPRaceMission : RPMission
{
	private readonly List<RPRacePlayer> mRacePlayers = new List<RPRacePlayer>();

	public List<RPRacePlayer> RacePlayers => mRacePlayers;

	public override IEnumerable<RPPlayer> Players => mRacePlayers.ToArray();

	public override int PlayerCount => mRacePlayers.Count;

	public RPRaceMission(string mapKey, string timeOfDayKey, string weatherKey, bool scoreCompression, TimeSpan gameLength)
		: base(RPConfig.DeathRace.Key, mapKey, timeOfDayKey, weatherKey, scoreCompression, gameLength)
	{
	}

	protected override void AppendMissionSpecificData(StringBuilder egg)
	{
	}
}
